# Activate Credential

`PUT /auth/credentials/activate`

Activates a credential that was previously deactivated. If the credential is already activated no action is taken

{% hint style="info" %}

* User action signature required. See [User Action Signing](https://docs-legacy.dfns.co/d/api-docs/authentication/user-action-signing) for more information.
* Request headers required. See [Request Headers](https://docs-legacy.dfns.co/d/advanced-topics/authentication/request-headers) for more information.
* Authentication required. See [Authentication Headers](https://docs-legacy.dfns.co/d/advanced-topics/authentication/request-headers#authentication-headers) for more information.
  {% endhint %}

## Required Permissions

None

## Request body

|                                                     |          |                                                    |
| --------------------------------------------------- | -------- | -------------------------------------------------- |
| `credentialUuid` <mark style="color:red;">\*</mark> | `String` | The UUID of the credential that is being activated |

### Example

```json
{
  "credentialUuid": "cr-4uc9u-12ij1-9s08327e73jqqcnr"
}
```

## Responses

{% hint style="info" %}

* See [Common Errors](https://docs-legacy.dfns.co/d/api-docs/authentication/credential-management/api-reference/broken-reference) for common errors.
* See [Credential Management Errors](https://docs-legacy.dfns.co/d/api-docs/authentication/credential-management/api-reference/broken-reference) for credential management specific errors.
  {% endhint %}

{% tabs %}
{% tab title="200" %}
**Success** - generic success message

```json
{
    "message": "success"
}
```

{% endtab %}
{% endtabs %}
